Support Questions

Find answers, ask questions, and share your expertise

Can the CDH5.3 virtual machine be upgraded?

Explorer

I have the CDH 5.3.0 virtual machine and I'd like to upgrade it to the latest 5.3.1 release in the hope that it will resolve a few configuration issues I have run into.  Have followed the instructions here:

 

upgrade CDM & Java: http://www.cloudera.com/content/cloudera/en/documentation/core/latest/topics/cm_ag_upgrade_cm5.html

upgrade CDH: http://www.cloudera.com/content/cloudera/en/documentation/core/latest/topics/install_upgrade_cdh_mai...

 

Unfortunately I end up with the screen in the upgrade wizard at step 6 (Cloudera Manager checks that hosts have the correct software installed. If the packages have not been installed, a warning displays to that effect. Install the packages and click Check Again. When there are no errors, click Continue.):

Upgrade the CDH running on Cloudera QuickStart
Host Software Detection

Checking if the relevant agents are responsive, the relevent hosts are healthy and have the correct software installed on them.

    Multiple releases detected: [CDH 5.3.1, CDH 5.3.0]

    The following host(s), quickstart.cloudera, do not have the newly required CDH package installed. They still have the incorrect CDH 5.3.0.

 

It doesn't seem right to me since my Host Inspector looks like everything is fine.  Output is this:

Inspector Results
Validations
 Inspector ran on all 1 hosts.
 The following failures were observed in checking hostnames...
 No errors were found while looking for conflicting init scripts.
 No errors were found while checking /etc/hosts.
 All hosts resolved localhost to 127.0.0.1.
 All hosts checked resolved each other's hostnames correctly and in a timely manner.
 Host clocks are approximately in sync (within ten minutes).
 Host time zones are consistent across the cluster.
 No users or groups are missing.
 No conflicts detected between packages and parcels.
 No kernel versions that are known to be bad are running.
 Cloudera recommends setting /proc/sys/vm/swappiness to 0. Current setting is 1. Use the sysctl command to change this setting at runtime and edit /etc/sysctl.conf for this setting to be saved after a reboot. You may continue with installation, but you may run into issues with Cloudera Manager reporting that your hosts are unhealthy because they are swapping. The following hosts are affected:
 No performance concerns with Transparent Huge Pages settings.
 CDH 5 Hue Python version dependency is satisfied.
 0 hosts are running CDH 4 and 1 hosts are running CDH5.
 All checked hosts in each cluster are running the same version of components.
 All managed hosts have consistent versions of Java.
 All checked Cloudera Management Daemons versions are consistent with the server.
 All checked Cloudera Management Agents versions are consistent with the server.
Version Summary
Cloudera QuickStart — CDH 5
Hosts
quickstart.cloudera
Component  Version  Release  CDH Version
Parquet  1.5.0+cdh5.3.0+52  1.cdh5.3.0.p0.27  CDH 5
Impala  2.1.1+cdh5.3.1+0  1.cdh5.3.1.p0.17  CDH 5
YARN  2.5.0+cdh5.3.1+791  1.cdh5.3.1.p0.17  CDH 5
HDFS  2.5.0+cdh5.3.1+791  1.cdh5.3.1.p0.17  CDH 5
hue-common  3.7.0+cdh5.3.1+135  1.cdh5.3.1.p0.17  CDH 5
Sqoop2  1.99.4+cdh5.3.1+20  1.cdh5.3.1.p0.17  CDH 5
kms  Unavailable  Unavailable  Not installed or path incorrect
HBase  0.98.6+cdh5.3.0+73  1.cdh5.3.0.p0.25  CDH 5
Sqoop  1.4.5+cdh5.3.1+61  1.cdh5.3.1.p0.17  CDH 5
Oozie  4.0.0+cdh5.3.1+335  1.cdh5.3.1.p0.17  CDH 5
Zookeeper  3.4.5+cdh5.3.0+81  1.cdh5.3.0.p0.36  CDH 5
Hue  3.7.0+cdh5.3.1+135  1.cdh5.3.1.p0.17  CDH 5
spark  1.2.0+cdh5.3.1+365  1.cdh5.3.1.p0.17  CDH 5
MapReduce 1  2.5.0+cdh5.3.1+791  1.cdh5.3.1.p0.17  CDH 5
Pig  0.12.0+cdh5.3.1+47  1.cdh5.3.1.p0.17  CDH 5
Crunch (CDH 5 only)  0.11.0+cdh5.3.1+17  1.cdh5.3.1.p0.17  CDH 5
Llama (CDH 5 only)  1.0.0+cdh5.3.1+0  1.cdh5.3.1.p0.17  CDH 5
HttpFS  2.5.0+cdh5.3.1+791  1.cdh5.3.1.p0.17  CDH 5
Hadoop  2.5.0+cdh5.3.1+791  1.cdh5.3.1.p0.17  CDH 5
Hive  0.13.1+cdh5.3.1+308  1.cdh5.3.1.p0.17  CDH 5
HCatalog  0.13.1+cdh5.3.1+308  1.cdh5.3.1.p0.17  CDH 5
sentry  1.4.0+cdh5.3.1+127  1.cdh5.3.1.p0.17  CDH 5
MapReduce 2  2.5.0+cdh5.3.1+791  1.cdh5.3.1.p0.17  CDH 5
Lily HBase Indexer  1.5+cdh5.3.1+24  1.cdh5.3.1.p0.17  CDH 5
Solr  4.4.0+cdh5.3.0+314  1.cdh5.3.0.p0.25  CDH 5
Flume NG  1.5.0+cdh5.3.1+80  1.cdh5.3.1.p0.19  CDH 5
Cloudera Manager Management Daemons  5.3.1  1.cm531.p0.191  Not applicable
Java 6  JAVA_HOME=/usr/java/jdk1.6.0_31 java version "1.6.0_31" Java(TM) SE Runtime Environment (build 1.6.0_31-b04) Java HotSpot(TM) 64-Bit Server VM (build 20.6-b01, mixed mode)  Unavailable  Not applicable
Java 7  JAVA_HOME=/usr/java/jdk1.7.0_67-cloudera java version "1.7.0_67" Java(TM) SE Runtime Environment (build 1.7.0_67-b01) Java HotSpot(TM) 64-Bit Server VM (build 24.65-b04, mixed mode)  Unavailable  Not applicable
Java 8  Unavailable  Unavailable  Not applicable
Cloudera Manager Agent  5.3.1  1.cm531.p0.191.el6  Not applicable

 

 

Once again, I'm grateful for any assistance.

 

Thanks,

Ty

1 ACCEPTED SOLUTION

Hi Ty,

parquet, hbase, zookeeper, and solr all say 5.3.0 version in host inspector. You need to make sure they're all upgraded to 5.3.1 and there's no 5.3.0 packages left.

Thanks,
Darren

View solution in original post

5 REPLIES 5

Hi Ty,

parquet, hbase, zookeeper, and solr all say 5.3.0 version in host inspector. You need to make sure they're all upgraded to 5.3.1 and there's no 5.3.0 packages left.

Thanks,
Darren

Explorer

Thanks.  You're a life saver.  The cluster now reports as 5.3.1.

 

I guess one thing to learn from this is that it may be worth updating http://www.cloudera.com/content/cloudera/en/documentation/core/latest/topics/install_upgrade_cdh_mai... to extend the list of example unmanaged services from Mahout, Pig, Whirr to Parquet, HBase, Zookeeper, Solr, Mahout, Pig, Whirr. 

I'll make sure we get parquet, hbase, zookeeper, and solr on that doc page. Thanks!

New Contributor

Hi,

How did you upgrade the services? I tried running "Upgrade Cluster" and I chose "Packages" (this is how I installed CDH) and then I chose the lastest version, and I get this error

 

 

  • The following host(s), OUR_SERVER-[01-10], do not have the newly required CDH package installed. They still have the incorrect CDH 5.4.4.

Explorer
Hi,
I'm afraid it's been a while since I did this and it's all a blur in my rear view memory now. As it happens, I'm getting back into Cloudera again and will be building some new VM's soon. If I have to do an update I'll let you know how I do it.

Sorry for not having an answer for you
Take a Tour of the Community
Don't have an account?
Your experience may be limited. Sign in to explore more.